aboutsummaryrefslogtreecommitdiffhomepage
path: root/test
diff options
context:
space:
mode:
authorlemon <lsof@mailbox.org>2026-04-11 23:39:05 +0200
committerlemon <lsof@mailbox.org>2026-04-11 23:39:06 +0200
commit104c0812ac073ceab75c45f82c1341fd5b8aab80 (patch)
tree4bada64f988b0edeab5befb916334eea84098998 /test
parent49b81eae41e88068ede81e67e783d2f93926285a (diff)
test/csmith.sh: add --no-packed-struct
We don't support #pragma pack yet
Diffstat (limited to 'test')
-rwxr-xr-xtest/csmith.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/test/csmith.sh b/test/csmith.sh
index 42e49be..d159033 100755
--- a/test/csmith.sh
+++ b/test/csmith.sh
@@ -29,7 +29,7 @@ run_test() {
out2="$WORKDIR/$pid-$num-ref.out"
src="$WORKDIR/$pid-$num.c"
- csmith > "$src" 2>/dev/null || return 1
+ csmith --no-packed-struct > "$src" 2>/dev/null || return 1
if ! prlimit --as=1073741824 ../antcc $CFLAGS -I"$csmith_path" -w "$src" -o "$tmp1" -lm; then
ncomperr=$((ncomperr+1))